Subject: Re: [yang-doctors] [Anima] Yangdoctors early review of draft-ietf-anima-brski-async-enroll-03

From: "Fries, Steffen" <[email-masked]>
Date: Thu, 19 Aug 2021 06:15:34 +0000

Hi Reshad,

From: Reshad Rahman <[email-masked]>
Sent: Mittwoch, 18. August 2021 23:08

>    reshad> Other comments: - rc:yang-data (RFC8040) is used. While this
>    reshad> seems to be fine, if the voucher- request-async-artifact template
>    reshad> needs to be extended in the future, my understanding is that it
>    reshad> is not possible with yang-data. However, you could use
>    reshad> "structure" and (eventually) "augment-structure" from RFC8791 for
>    reshad> this.
>
> I am probably the guilty party that wrote the YANG.
> I guess I missed your email (seeing Steffen's reply only), and I'll go back to the
> list to find it to understand.
<RR> And I didn't receive Michael's response to Steffen. Not in my Junk folder either.....
[stf] Michael also just received my response to your email. ANIMA WG was in cc so I’m not sure what happened.

I saw that the constraint voucher follows the same approach.
<RR> Where is the constraint voucher defined?
[stf] https://datatracker.ietf.org/doc/draft-ietf-anima-constrained-voucher/

> We do want to mix and match the various extensions.
> It is not clear to me how to do that.
Maybe related to this, would it be better to augment the voucher than as requested by Reshad or the voucher-request as we currently do it. I also had a look into the constraint voucher as there are also enhancements defined. So I guess I should go with the augmented voucher?
<RR> I didn't see a voucher-request node but I'm probably looking for the wrong thing.
[stf] You answered this already with your hint in the previous email. We cant augment the yang-data is what I understood as it does not allow augmentation.

Best regards
Steffen

>    > We will discuss this point. Currently there is no explicit need for
>    > enhancements.
>
>    reshad> - Prefix "ivr" is used for ietf-voucher-request although RFC8995 has
>    reshad> "vcr". While this is valid, I am curious why.
>
> I didn't think the prefix had relevance outside of the module, but I don't know a
> lot here.
<RR> It doesn't. It's just usually people use the same prefix as defined in the module. No big deal if you want to use a different one, I was just curious why.

Regards,
Reshad.

I meanwhile changed it to vcr. If it has no relevance outside the module, it should not be a problem

Regards
Steffen

>
> --
> ]              Never tell me the odds!                | ipv6 mesh networks [
> ]  Michael Richardson, Sandelman Software Works        |    IoT architect  [
> ]    [email-masked]<mailto:[email-masked]>  http://www.sandelman.ca/ <https://eur01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.sandelman.ca%2F&data=04%7C01%7Ccef9763c-149c-4881-b9c2-5fedc277663a%40ad011.siemens.com%7Cb2b4f58606d1406a886b08d9628c4028%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C0%7C637649176775498908%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=UD3E8EaOSYSCy8yqbocjCgtjCZgYXQlOis4fXLSe4iE%3D&reserved=0>       |  ruby on rails    [